<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (v.1.x)
 *   Plugin Fast start (v.0.2)
 *   Copyright © 2013 Bishovec Nikolay
 *
   --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
   ---------------------------------------------------------
 */

class PluginFaststart_ModuleUser_MapperUser extends PluginFaststart_Inherit_ModuleUser_MapperUser
{
    /**
     * Обновляем логин
     *
     * @param ModuleUser_EntityUser $oUser
     * @return bool
     */
    public function UpdateUserLogin(ModuleUser_EntityUser $oUser)
    {
        $sql = "UPDATE " . Config::Get('db.table.user') . "
                    SET
                        user_login = ? ,
                        user_profile_date = ?
                    WHERE user_id = ?
                ";
        if ($this->oDb->query($sql, $oUser->getLogin(), $oUser->getProfileDate(), $oUser->getId())) {
            return true;
        }
        return false;
    }
}

?>
